;E.R.
;Software
;Date: 12/4/85
;Product: Lisp
;Urgency Factor: medium
;Description:

;Lexical scoping is not enforced and/or handled wrong:

  (defun foo(dyn-arg) (bar)(print dyn-arg))

  (defun bar() (setq dyn-arg 'whoops))

;Interpreted, (foo 'ok) => WHOOPS (which is inconsistent,
;for example, with DEC CommonLisp). The "special" var ARG
;in BAR is apparently bound with the local ARG in FOO, 
;which is consistent with dynamic scoping. Strangely 
;enough the var DYN-ARG is then set globally.

;C.S. Originator: Keith Corbett
;Customers affected: All
